<?php 
// Load VADS API
require_once DIR_APPLICATION.'controller/payment/vads_api.php';
class ModelPaymentvads extends Model {
  	public function getMethod($address) {
  	$this->config_var= $this->config->get('config_error_display');
		$this->load->language('payment/vads');
		
		if ($this->config->get('vads_status')) {
      		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "zone_to_geo_zone WHERE geo_zone_id = '" . (int)$this->config->get('vads_geo_zone_id') . "' AND country_id = '" . (int)$address['country_id'] . "' AND (zone_id = '" . (int)$address['zone_id'] . "' OR zone_id = '0')");
			if (!$this->config->get('vads_geo_zone_id')) {
        		$status = TRUE;
      		} elseif ($query->num_rows) {
      		  	$status = TRUE;
      		} else {
     	  		$status = FALSE;
			}	
      	} else {
			$status = FALSE;
		}
		
  	// test the compatibility of the currency
  		$this->config->set('config_error_display', 0);
		$currency_obj = VadsApi::findCurrencyByAlphaCode($this->session->data['currency']);
  		$this->config->set('config_error_display', $this->config_var);
		if($currency_obj == null) {
			$status = FALSE;
		}
		
		// test the amount authorized by the payment
		$cart = new Cart($this->registry);
		if(($this->config->get('vads_minimum_amount') != '' && $cart->getTotal() < $this->config->get('vads_minimum_amount'))
				|| ($this->config->get('vads_maximum_amount') != '' && $cart->getTotal() > $this->config->get('vads_maximum_amount')))
     	{
            $status = FALSE;
        }
		$method_data = array();
		if ($status) {  
      		$method_data = array( 
        		'id'         => 'vads',
        		'title'      => $this->language->get('text_title'),
				'sort_order' => $this->config->get('vads_sort_order')
      		);
    	}
   
    	return $method_data;
  	}
}
?>